Bug 1350988 - erlang-rebar-2.6.4 is available
Summary: erlang-rebar-2.6.4 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: erlang-rebar
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-29 00:11 UTC by Upstream Release Monitoring
Modified: 2016-09-14 19:19 UTC (History)
4 users (show)

Fixed In Version: erlang-rebar-2.6.4-2.fc25 erlang-rebar-2.6.4-2.fc24
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-06 18:19:57 UTC
Type: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (38.13 KB, patch)
2016-06-29 00:12 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (40.17 KB, patch)
2016-08-27 15:11 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (39.01 KB, patch)
2016-09-01 00:13 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-06-29 00:11:40 UTC
Latest upstream release: 2.6.2
Current version/release in rawhide: 2.6.1-10.fc25
URL: https://github.com/rebar/rebar

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/740/

Comment 1 Upstream Release Monitoring 2016-06-29 00:12:19 UTC
Patching or scratch build for erlang-rebar-2.6.1 failed.

Comment 2 Upstream Release Monitoring 2016-06-29 00:12:22 UTC
Created attachment 1173554 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2016-06-29 00:12:23 UTC
Following patches has been deleted:
['rebar-0001-Load-templates-from-the-filesystem-first.patch', 'rebar-0002-Remove-bundled-mustache.patch', 'rebar-0003-Remove-bundled-getopt.patch', 'rebar-0004-Allow-discarding-building-ports.patch', 'rebar-0005-Check-system-wide-libdir-in-case-of-source-based-dep.patch', 'rebar-0006-Remove-any-traces-of-long-time-obsolete-escript-fold.patch', 'rebar-0007-remove-abnfc.patch', 'rebar-0009-Remove-support-for-gpb-compiler.patch', 'rebar-0011-No-such-function-erlang-timestamp-0.patch', 'rebar-0012-Try-shell-variable-VSN-first.patch', 'rebar-0013-Allow-ignoring-missing-deps.patch']

Comment 4 Upstream Release Monitoring 2016-06-29 00:12:25 UTC
Following patches has been modified:
['/var/tmp/thn-rhcYxDM_/rebase-helper-results/rebar-0007-remove-abnfc.patch']

Comment 5 Upstream Release Monitoring 2016-06-29 00:12:27 UTC
Following patches has been unapplied:
['rebar-0008-Disable-eflame-support-for-now.patch', 'rebar-0010-Remove-pre-R15B02-workaround.patch']

Comment 6 Upstream Release Monitoring 2016-08-27 15:10:19 UTC
Latest upstream release: 2.6.3
Current version/release in rawhide: 2.6.1-10.fc25
URL: https://github.com/rebar/rebar

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/740/

Comment 7 Upstream Release Monitoring 2016-08-27 15:11:02 UTC
Patching or scratch build for erlang-rebar-2.6.1 failed.

Comment 8 Upstream Release Monitoring 2016-08-27 15:11:04 UTC
Created attachment 1194881 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 9 Upstream Release Monitoring 2016-08-27 15:11:07 UTC
Following patches has been deleted:
['rebar-0001-Load-templates-from-the-filesystem-first.patch', 'rebar-0004-Allow-discarding-building-ports.patch', 'rebar-0005-Check-system-wide-libdir-in-case-of-source-based-dep.patch', 'rebar-0006-Remove-any-traces-of-long-time-obsolete-escript-fold.patch', 'rebar-0007-remove-abnfc.patch', 'rebar-0009-Remove-support-for-gpb-compiler.patch', 'rebar-0011-No-such-function-erlang-timestamp-0.patch', 'rebar-0012-Try-shell-variable-VSN-first.patch', 'rebar-0013-Allow-ignoring-missing-deps.patch']

Comment 10 Upstream Release Monitoring 2016-08-27 15:11:08 UTC
Following patches has been modified:
['/var/tmp/thn-rh6EUe7h/rebase-helper-results/rebar-0007-remove-abnfc.patch']

Comment 11 Upstream Release Monitoring 2016-08-27 15:11:10 UTC
Following patches has been unapplied:
['rebar-0002-Remove-bundled-mustache.patch', 'rebar-0003-Remove-bundled-getopt.patch', 'rebar-0008-Disable-eflame-support-for-now.patch', 'rebar-0010-Remove-pre-R15B02-workaround.patch']

Comment 12 Upstream Release Monitoring 2016-09-01 00:12:42 UTC
Latest upstream release: 2.6.4
Current version/release in rawhide: 2.6.1-10.fc25
URL: https://github.com/rebar/rebar

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/740/

Comment 13 Upstream Release Monitoring 2016-09-01 00:13:26 UTC
Patching or scratch build for erlang-rebar-2.6.1 failed.

Comment 14 Upstream Release Monitoring 2016-09-01 00:13:28 UTC
Created attachment 1196527 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 15 Upstream Release Monitoring 2016-09-01 00:13:30 UTC
Following patches has been deleted:
['rebar-0001-Load-templates-from-the-filesystem-first.patch', 'rebar-0004-Allow-discarding-building-ports.patch', 'rebar-0005-Check-system-wide-libdir-in-case-of-source-based-dep.patch', 'rebar-0006-Remove-any-traces-of-long-time-obsolete-escript-fold.patch', 'rebar-0007-remove-abnfc.patch', 'rebar-0009-Remove-support-for-gpb-compiler.patch', 'rebar-0011-No-such-function-erlang-timestamp-0.patch', 'rebar-0012-Try-shell-variable-VSN-first.patch', 'rebar-0013-Allow-ignoring-missing-deps.patch']

Comment 16 Upstream Release Monitoring 2016-09-01 00:13:33 UTC
Following patches has been modified:
['/var/tmp/thn-rhfrtzAH/rebase-helper-results/rebar-0007-remove-abnfc.patch']

Comment 17 Upstream Release Monitoring 2016-09-01 00:13:35 UTC
Following patches has been unapplied:
['rebar-0002-Remove-bundled-mustache.patch', 'rebar-0003-Remove-bundled-getopt.patch', 'rebar-0008-Disable-eflame-support-for-now.patch', 'rebar-0010-Remove-pre-R15B02-workaround.patch']

Comment 18 Upstream Release Monitoring 2016-09-01 15:39:44 UTC
peter's erlang-rebar-2.6.4-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=796172

Comment 19 Upstream Release Monitoring 2016-09-02 14:52:48 UTC
peter's erlang-rebar-2.6.4-2.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=796526

Comment 20 Fedora Update System 2016-09-02 15:09:48 UTC
erlang-rebar-2.6.4-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-973dc30ca6

Comment 21 Fedora Update System 2016-09-02 15:09:59 UTC
erlang-rebar-2.6.4-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ba070a6284

Comment 22 Fedora Update System 2016-09-03 03:22:51 UTC
erlang-rebar-2.6.4-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ba070a6284

Comment 23 Fedora Update System 2016-09-03 03:52:54 UTC
erlang-rebar-2.6.4-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-973dc30ca6

Comment 24 Fedora Update System 2016-09-06 18:19:52 UTC
erlang-rebar-2.6.4-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2016-09-14 19:19:45 UTC
erlang-rebar-2.6.4-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.